Get plan by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

planIdstringRequiredformat: "uuid"
The ID of the plan

Response

Success response
idstringformat: "uuid"
The unique identifier of the plan
organizationIdstringformat: "uuid"
The organization ID that owns this plan
planGroupIdstringformat: "uuid"
The plan group ID this plan belongs to
namestring
The name of the plan
typeenum

The type of plan (flat for fixed pricing, usage for usage-based, credit for prepaid credits)

Allowed values:
pricingobject
The pricing configuration for a plan. Uses the same PricePoints structure as product pricing.
createdAtdatetime
When the plan was created
updatedAtdatetime
When the plan was last updated
descriptionstring or null
The description of the plan
nextPlanIdstring or nullformat: "uuid"
The ID of the next plan in the sequence
prevPlanIdstring or nullformat: "uuid"
The ID of the previous plan in the sequence
planProductslist of objects or null
The products included in this plan

Errors